<ui:composition xmlns="http://www.w3.org/1999/xhtml"
                xmlns:h="http://java.sun.com/jsf/html"
                xmlns:f="http://java.sun.com/jsf/core"
                xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:p="http://primefaces.org/ui"
                template="/templates/generalCU.xhtml">

    <!--
    @author jamir.avila 
    @cu CASO DE USO CU-NP-FA-104 
    @version 2.0
    -->

    <ui:define name="content">

        <h1> OJO: si alguien ve esto avisar a programador para revisar comportamientos ajax :: pedro.garcia <h1/>        

            <p:messages id="msgsAP" showDetail="true" />
            <h:form id="formularioRP" title="Formulario">

                <p:dialog widgetVar="dlgPreliminar" width="700" height="400"
                          header="Preliminar de la resolución">

                    <embed src="gestionarResolucion.preliminar" width="680" height="360" />
                </p:dialog>

                <h:panelGrid id="superiorAP" columns="2">
                    <h:outputLabel value="Departamento: " styleClass="outputLabelStyle" />
                    <h:outputText value="#{gestionarResolucion.departamentoNombre}"
                                  styleClass="outputTextStyle" />

                    <h:outputLabel value="Municipio: " styleClass="outputLabelStyle" />
                    <h:outputText value="#{gestionarResolucion.municipioNombre}"
                                  styleClass="outputTextStyle" />

                    <h:outputLabel value="Tipo de proyecto: "
                                   styleClass="outputLabelStyle" />
                    <h:outputText value="#{gestionarResolucion.tipoProyectoNombre}"
                                  styleClass="outputTextStyle" />

                    <h:outputLabel value="Número de convenio: "
                                   styleClass="outputLabelStyle" />
                    <h:selectOneMenu id="convenioNumeroAP"
                                     value="#{gestionarResolucion.convenioNumero}">
                        <f:selectItems value="#{gestionarResolucion.convenioNumeros}" />
                        <p:ajax listener="#{gestionarResolucion.onCambioConvenio}"
                                update="zonaAP" />
                    </h:selectOneMenu>

                    <h:outputLabel value="Zona: " styleClass="outputLabelStyle" />
                    <h:outputText id="zonaAP" value="#{gestionarResolucion.zonaNombre}"
                                  styleClass="outputTextStyle" />

                </h:panelGrid>

                <!-- N: este tab view tenía tabChangeListener="# {gestionarResolucion.onCambioTarjeta}". Revisar -->            
                <p:tabView dynamic="true" cache="false"
                           >
                    <p:tab id="revisarResolucionAP" title="Revisar resolución">

                        <h:panelGrid columns="2">
                            <h:outputLabel value="Tipo de resolución"
                                           styleClass="outputLabelStyle" />
                            <h:outputText
                                value="#{gestionarResolucion.resolucion.tipoResolucionNombre}"
                                styleClass="outputTextStyle" />

                            <h:outputLabel value="Año de la actualización:"
                                           styleClass="outputLabelStyle" />
                            <h:outputText value="#{gestionarResolucion.resolucion.anio}"
                                          styleClass="outputTextStyle" />

                            <h:outputLabel value="Fecha de resolución: "
                                           styleClass="outputLabelStyle" />
                            <p:calendar value="#{gestionarResolucion.resolucion.fecha}"
                                        pattern="#{general.formatoFechaHora}" readonly="true" disabled="true" />
                        </h:panelGrid>
                        <h:panelGrid columns="3">
                            <p:commandButton type="button" value="Ver preliminar B"
                                             onclick="dlgPreliminar.show()" id="verPreliminarRevisionAP" />
                            <p:commandButton value="Aprobar" id="aprobarAP"
                                             action="#{gestionarResolucion.cmdAprobar}" ajax="false"
                                             immediate="true" />
                            <p:commandButton type="button" value="Reprobar..."
                                             onclick="dlgReprobar.show()" />
                        </h:panelGrid>
                    </p:tab>

                    <p:tab id="ordenarPublicacionAP"
                           title="Ordenar publicación en diario oficial">
                        <h:panelGrid columns="2">
                            <h:outputLabel value="Tipo de resolución"
                                           styleClass="outputLabelStyle" />
                            <h:outputText
                                value="#{gestionarResolucion.resolucion.tipoResolucionNombre}"
                                styleClass="outputTextStyle" />

                            <h:outputLabel value="Año de la actualización:"
                                           styleClass="outputLabelStyle" />
                            <h:outputText value="#{gestionarResolucion.resolucion.anio}"
                                          styleClass="outputTextStyle" />

                            <h:outputLabel value="Fecha de resolución: "
                                           styleClass="outputLabelStyle" />
                            <p:calendar value="#{gestionarResolucion.resolucion.fecha}"
                                        pattern="dd/MM/yyyy" readonly="true" disabled="true" />
                        </h:panelGrid>
                        <h:panelGrid columns="2">
                            <p:commandButton type="button" value="Ver preliminar C"
                                             onclick="dlgPreliminar.show()" id="verPreliminarPublicacionAP" />
                            <p:commandButton value="Ordenar publicación en el diario oficial"
                                             id="publicarAP" action="#{gestionarResolucion.cmdPublicar}" />
                        </h:panelGrid>
                    </p:tab>
                </p:tabView>

                <p:panel>
                    <p:commandButton value="Cerrar" icon="ui-icon-circle-close"
                                     action="#{gestionarResolucion.cmdCancelar}" ajax="false" />
                </p:panel>
            </h:form>
    </ui:define>
</ui:composition>
